version: '2'
services:
  web:
    image: thecodingmachine/php:7.4-v3-apache
    ports:
      - 8000:80
    volumes:
      - ./:/var/www/html
    environment:
      TZ: Europe/Paris
      PHP_INI_DATE__TIMEZONE: Europe/Paris
      PHP_INI_MEMORY_LIMIT: 1G
      APP_ENV: dev
      APACHE_DOCUMENT_ROOT: public/
      MERCURE_PUBLISH_URL: 'http://mercure/hub'
      MERCURE_SERVER_URL: 'http://127.0.0.1:8002/hub'
      MERCURE_JWT_TOKEN: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJtZXJjdXJlIjp7InN1YnNjcmliZSI6WyIqIl0sInB1Ymxpc2giOlsiKiJdfX0.HBmLmFpvNW497I37ZmyEdV9CRNPcVoyOJ8wzXjyJ9hU
  mercure:
    image: dunglas/mercure
    environment: 
      JWT_KEY: gneugneu
      ALLOW_ANONYMOUS: 1
      CORS_ALLOWED_ORIGINS: '*'
      PUBLISH_ALLOWED_ORIGINS: '*'
      DEMO: 0
    ports: 
      - 8002:80
